public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/icalendar/
Date: Sun, 21 Jun 2020 06:19:35 +0000 (UTC)	[thread overview]
Message-ID: <1592720366.e5653f1cb4a4eea13572c29a8280ea7047c6282d.mgorny@gentoo> (raw)

commit:     e5653f1cb4a4eea13572c29a8280ea7047c6282d
Author:     Christopher Head <chead <AT> chead <DOT> ca>
AuthorDate: Sat Jun 20 01:53:24 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 06:19:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5653f1c

dev-python/icalendar-4.0.6: bump, EAPI7, Py3.8

Signed-off-by: Christopher Head <chead <AT> chead.ca>
Closes: https://github.com/gentoo/gentoo/pull/16333
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/icalendar/Manifest               |  1 +
 dev-python/icalendar/icalendar-4.0.6.ebuild | 31 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/icalendar/Manifest b/dev-python/icalendar/Manifest
index 5638437fac8..b678d7214c4 100644
--- a/dev-python/icalendar/Manifest
+++ b/dev-python/icalendar/Manifest
@@ -1 +1,2 @@
 DIST icalendar-4.0.3.tar.gz 77899 BLAKE2B d4043914b85359a8309dd7c8acce55ec5921508319342f2ffb2e16017aa5aa164ef7fdd44aee7820a971516a3e157b5c8ee86732e669c8eac4b5c4bc1767e334 SHA512 2f0ac5a7f36c7d37047ba20bec3f2ca7df51a9e3ec3f29751c71cdd264c01f7e0abd6efc298dac5a7c87911cb4916e56bf77716d6ca05a2d090e26486e6a56be
+DIST icalendar-4.0.6.tar.gz 78418 BLAKE2B 4941262cca63cae4df249b6ec01b73b640caa002d011ed19aead89fdfc6fe9a7e37258d95668142137faf635403986a2ea4d3e39dd565d1205dfb238fd13e98f SHA512 e8f7ee878cc14b75636268d7b8c79569ce1875142fb907b1eb74bc6b9cf96f218e4be63828190aa2a27978c431437c1d454febe9a2da58c5f2785e283ae725b2

diff --git a/dev-python/icalendar/icalendar-4.0.6.ebuild b/dev-python/icalendar/icalendar-4.0.6.ebuild
new file mode 100644
index 00000000000..4b472fff1bc
--- /dev/null
+++ b/dev-python/icalendar/icalendar-4.0.6.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Package used for parsing and generating iCalendar files (RFC 2445)"
+HOMEPAGE="https://github.com/collective/icalendar"
+SRC_URI="mirror://pypi/i/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/pytz[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# reset conf.py to not read version from an installed instance
+	sed -e "s:pkg_resources.get_distribution('icalendar').version:'${PV}':" \
+		-i docs/conf.py || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2020-06-21  6:19 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-21  6:19 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-20  6:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/icalendar/ Michał Górny
2025-02-08 18:35 Michał Górny
2025-02-08 12:11 Arthur Zamarin
2025-01-19  3:27 Michał Górny
2024-12-07 11:52 Michał Górny
2024-12-07 11:26 Arthur Zamarin
2024-11-24  0:20 Sam James
2024-11-23  7:10 Michał Górny
2024-11-21 19:02 Sam James
2024-10-26 11:52 Michał Górny
2024-10-25 12:04 Arthur Zamarin
2024-10-13 17:42 Michał Górny
2024-07-06  6:35 Michał Górny
2024-07-06  6:26 Sam James
2024-07-05  1:54 Michał Górny
2024-06-21  1:58 Michał Górny
2024-06-10 17:01 Michał Górny
2024-04-06 12:37 Michał Górny
2024-04-06 10:02 Arthur Zamarin
2024-03-20  6:28 Michał Górny
2023-11-24 14:52 Michał Górny
2023-11-04  6:29 Michał Górny
2023-10-24  5:46 Michał Górny
2023-10-23 18:50 Sam James
2023-09-27  5:56 Michał Górny
2023-09-24 14:28 Michał Górny
2023-09-18 14:00 Michał Górny
2023-06-27 11:54 Michał Górny
2023-06-27  5:19 Jakov Smolić
2023-06-18 17:07 Michał Górny
2023-05-30  2:54 Michał Górny
2023-05-27  5:32 Michał Górny
2023-05-27  5:32 Michał Górny
2023-05-16  5:24 Michał Górny
2023-05-15 20:24 Arthur Zamarin
2023-04-14  3:59 Michał Górny
2022-12-30  7:08 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-25  5:14 Michał Górny
2022-11-19 16:52 Michał Górny
2022-11-19 16:40 Sam James
2022-11-04 18:06 Arthur Zamarin
2022-10-23 18:37 Arthur Zamarin
2022-10-18  6:36 Michał Górny
2022-08-15  8:08 Michał Górny
2022-08-15  7:40 Agostino Sarubbo
2022-07-11 20:00 Arthur Zamarin
2022-07-11 20:00 Arthur Zamarin
2021-12-21  3:39 Yixun Lan
2021-11-13  9:54 Michał Górny
2021-11-13  9:47 Jakov Smolić
2021-10-16 19:34 Michał Górny
2021-10-07 21:48 Michał Górny
2021-06-05 13:52 Michał Górny
2020-10-18 19:19 Sam James
2020-10-18 19:10 Thomas Deutschmann
2020-09-08 15:41 Michał Górny
2020-07-30 20:41 Michał Górny
2020-07-30 20:03 Sam James
2020-07-29 10:20 Michał Górny
2020-03-27 15:37 Michał Górny
2020-02-05 14:38 Michał Górny
2019-12-24 19:54 Mikle Kolyada
2019-11-26 20:34 Aaron Bauman
2018-12-09  8:50 Michał Górny
2018-09-04 22:03 Patrice Clement
2018-06-01  6:07 Amy Liffey
2017-03-08 18:37 Michał Górny
2017-01-18 11:57 Agostino Sarubbo
2017-01-18 11:28 Agostino Sarubbo
2016-11-07  4:15 Alice Ferrazzi
2016-02-18 19:47 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1592720366.e5653f1cb4a4eea13572c29a8280ea7047c6282d.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox